/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.target.internal.ui;

import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerSorter;
import org.eclipse.target.Site;

public class SiteViewSorter extends ViewerSorter {
	
	public int category(Object element) {
		if (element instanceof Site) {
			return ((Site)element).getTypeId().hashCode();
		}
		return 0;
	}

	public int compare(Viewer viewer, Object o1, Object o2) {
		int cat1 = category(o1);
		int cat2 = category(o2);
		if (cat1 != cat2) return cat1 - cat2;
		
		if (o1 instanceof Site && o2 instanceof Site) {
			String site1 = ((Site)o1).getLocation();
			String site2 = ((Site)o2).getLocation();
			return site1.compareTo(site2);
		}
		return super.compare(viewer, o1, o2);
	}
}
