/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.internal.target;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.team.core.Team;
import org.eclipse.team.core.TeamException;
import org.eclipse.team.internal.core.TeamPlugin;

public interface ITeamStatusConstants {

	public static final IStatus OK_STATUS = Team.OK_STATUS;

	public static final IStatus NOT_CHECKED_OUT_STATUS =
		new Status(
			IStatus.ERROR,
			TeamPlugin.ID,
			TeamException.NOT_CHECKED_OUT,
			TeamTargetMessages.teamStatus_notCheckedOut, //$NON-NLS-1$
			null);

	public static final IStatus NOT_CHECKED_IN_STATUS =
		new Status(
			IStatus.ERROR,
			TeamPlugin.ID,
			TeamException.NOT_CHECKED_IN,
            TeamTargetMessages.teamStatus_notCheckedIn, //$NON-NLS-1$
			null);

	public static final IStatus NO_REMOTE_RESOURCE_STATUS =
		new Status(
			IStatus.ERROR,
			TeamPlugin.ID,
			TeamException.NO_REMOTE_RESOURCE,
            TeamTargetMessages.teamStatus_noRemoteResource, //$NON-NLS-1$
			null);

	public static final IStatus IO_FAILED_STATUS =
		new Status(
			IStatus.ERROR,
			TeamPlugin.ID,
			TeamException.IO_FAILED,
            TeamTargetMessages.teamStatus_ioFailed, //$NON-NLS-1$
			null);

	public static final IStatus CONFLICT_STATUS =
		new Status(
			IStatus.ERROR,
			TeamPlugin.ID,
			TeamException.CONFLICT,
            TeamTargetMessages.teamStatus_conflict, //$NON-NLS-1$
			null);

	public static final IStatus REQUIRED_CONFIGURATION_MISSING =
		new Status(
			IStatus.ERROR,
			TeamPlugin.ID,
			-100,
            TeamTargetMessages.provider_configuration_missing, //$NON-NLS-1$
			null);
			
	public static final IStatus INVALID_CONFIGURATION =
		new Status(
			IStatus.ERROR,
			TeamPlugin.ID,
			-101,
            TeamTargetMessages.provider_configuration_invalid, //$NON-NLS-1$
			null);
}
